/*
 * main.h
 *
 * 
 * Author: 
 *  Richard Hult <rhult@hem.passagen.se>
 * 
 *  http://www.dtek.chalmers.se/~d4hult/oregano/ 
 * 
 * Copyright (C) 1999,2000  Richard Hult 
 * 
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License as 
 * published by the Free Software Foundation; either version 2 of the 
 * License, or (at your option) any later version. 
 * 
 * This program is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
#ifndef __MAIN_H
#define __MAIN_H

#include <gnome.h>

typedef struct {
	GList *libraries;
	GSList *clipboard;

	GList *lib_path;        /* list for library paths    */
	GList *model_path;      /* list for model paths      */
	GHashTable *models;      /* hash table with model names as keys and paths as data */


	gchar *simexec;
	gboolean compress_files;
	gboolean show_log;
} OreganoApp;

extern OreganoApp oregano;
extern const struct poptOption oregano_popt_options [];
extern poptContext ctx;
extern int oregano_debugging;

#endif
